# disable the '-debug{info,source}' pkgs
%define debug_package %{nil}
# also disable packaging files in '/usr/lib/.build-id/'
%define _build_id_links none

%if "%{?non_standard_release}" == ""
Source2: release-stable.inc
%else
Source2: release-%{non_standard_release}.inc
%endif
%include %{SOURCE2}

Name: uboot-%{board_name}-tfg
Version: %{major_ver}.%{minor_ver}
Release: %{rel_ver}%{?rc_ver:.rc%{rc_ver}}%{?master_commit:.git%{master_commit}}%{?dist}
License: GPLv2+ BSD LGPL-2.1+ LGPL-2.0+
Summary: U-Boot for %{board_name}
URL: http://www.denx.de/wiki/U-Boot

%ifarch aarch64
BuildRequires: arm-trusted-firmware-armv8
%endif
BuildRequires: bc bison dtc flex gcc gnutls-devel libuuid-devel make ncurses-devel openssl-devel perl-interpreter python3-devel python3-libfdt python3-pyelftools python3-setuptools SDL2-devel swig
Requires: dtc

%global make make -j$(( $(nproc) + 2 ))

%description
This package contains images for the %{board_name}.

%prep
%setup -q -n %{src_dir}

%{make} distclean
%{make} %{board_defconfig}

%build
%if "%{?rkbin_git_commit}" != ""
pushd ..
cp %{_sourcedir}/%{?rkbin_git_commit}.tar.gz .
tar xf %{?rkbin_git_commit}.tar.gz
popd
%endif

export BL31='%{BL31}'
%if "%{?ROCKCHIP_TPL}" != ""
export ROCKCHIP_TPL='%{ROCKCHIP_TPL}'
%endif
%if "%{?SCP}" == "does_not_exist"
touch scp.bin
export SCP="$PWD/scp.bin"
%elif "%{?SCP}" != ""
export SCP='%{SCP}'
%endif

%{make}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/share/uboot/%{board_name}
cp -v %{output_files} %{buildroot}/usr/share/uboot/%{board_name}

%files
/usr/share/uboot/%{board_name}
